Subject: Re: bug#28475: 25.3; python double-indents multi-line function argument blocks

From: Ross Donaldson <[email-masked]>
Date: Sun, 24 Sep 2017 17:02:05 +0000

Ahhh, I see. Well! This patch didn't need to touch either function, so!

Here we are.

On Sun, Sep 24, 2017 at 9:42 AM Noam Postavsky <
[email-masked]> wrote:

> Ross Donaldson <[email-masked]> writes:
>
> > I was thrown off by the `prog-FOO` commands because of this message
> > in the ChangeLog:
> >
> > ```
> > 2016-03-27  Dmitry Gutov  <[email-masked]>
> >
> > Remove prog-indentation-context
> >
> > * lisp/progmodes/prog-mode.el: (prog-indentation-context)
> > (prog-first-column, prog-widen): Remove, as discussed in
> > http://lists.gnu.org/archive/html/emacs-devel/2016-03/msg01425.html.
> > ```
>
> Oh, that is a bit confusing, but now I see what happened: it was indeed
> removed for Emacs-25, but is still present in Emacs-26 and later.  If
> you look to the end of that message you will see
>
>         Do not merge to master.
>
> Which gives the hint.
>
>
> > I haven't assigned copyright to Emacs yet; I'd be happy to, and also,
> > I suspect this patch will be quite short. I'll send it over soon.
>
> Thanks!
>